%define anolis_release 11

Name:           anolis-setup
Version:        23
Release:        %{anolis_release}%{?dist}
Summary:        sysctl conf for Anolis OS

Group:          System Environment/Base
License:        MulanPSL
URL:            https://www.aliyun.com/
Source1:        anolis-setup
Source2:        cmdline
BuildArch:      noarch

Requires:       systemd
Requires:       dracut
Requires:       kernel

%description
This package used to setup os conf for Alibaba Cloud Linux

%prep
echo OK

%build
echo OK

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_sbindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name}/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/%{_datadir}/%{name}/cmdline


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_sbindir}/anolis-setup
%{_datadir}/%{name}/cmdline

%post
%ifarch aarch64
echo "iommu.passthrough=1
iommu.strict=0" >> %{_datadir}/%{name}/cmdline
%endif
anolis-setup %{_datadir}/%{name}/cmdline


%changelog
* Wed Dec 25 2024 gaochang <gc-taifu@linux.alibaba.com> - 23-11
- change the style when set kdump params

* Mon Jun 26 2023 happy_orange <songnannan@linux.alibaba.com> - 23-10
- change the post scripts

* Mon Jun 26 2023 happy_orange <songnannan@linux.alibaba.com> - 23-9
- change the cmdline

* Mon Jun 26 2023 happy_orange <songnannan@linux.alibaba.com> - 23-8
- add post requires 

* Mon Jun 26 2023 happy_orange <songnannan@linux.alibaba.com> - 23-7
- change the scripts location. 

* Sun Jun 25 2023 happy_orange <songnannan@linux.alibaba.com> - 23-6
- fix the error of spelling

* Sun Jun 25 2023 happy_orange <songnannan@linux.alibaba.com> - 23-5
- add the condition for judging whether the crashkernel exists

* Mon Jun 19 2023 happy_orange <songnannan@linux.alibaba.com> - 23-4
- add grub2-mkconfig in anolis-setup

* Mon Jun 19 2023 happy_orange <songnannan@linux.alibaba.com> - 23-3
- change the crashkernel value

* Sun Jun 18 2023 happy_orange <songnannan@linux.alibaba.com> - 23-2
- fix the server error

* Sun Jun 18 2023 happy_orange <songnannan@linux.alibaba.com> - 23-1
- init package
